# https://pypi.python.org/packages/source/m/mglob/mglob-0.4.zip

Name:           python-mglob
Version:        0.4
Release:        %mkrel 3
Summary:        Enhanced file name globbing module

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/mglob
Source0:        mglob-%{version}.tar.xz
Patch0:         mglob-0.4-built-in-set.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%package -n python3-mglob
Group:          Development/Python
Summary:        Enhanced file name globbing module

%description -n python3-mglob
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%prep
%setup -qn mglob-%{version}
%patch0
sed -i -e '/^#!\//, 1d' mglob.py
cp -a . %{py3dir}
%{_bindir}/2to3 --write --nobackups %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/mglob %{buildroot}%{_bindir}/python3-mglob
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%{_bindir}/mglob
%{python2_sitelib}/*

%files -n python3-mglob
%{_bindir}/python3-mglob
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.4-3pclos2022
- rebuild against updates

* Sat Apr 21 2018 marcin82 <fixxer1982 at gmail.com> 0.4-2pclos2018
- rebuild with Python 3.6.5

* Sun Mar 20 2016 bb <bb> 0.4-1pclos2016
- import for ipython
